Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#76 Le 23/12/2012, à 12:23

bishop

Re : Enlightenment 17 svn pour Ubuntu

Salut Vista !
Regarde dans le dosssier caché ~/.config/enna si tu trouves ton bonheur. Peut être le fichier ~/.config/enna/enna.cfg .

Est-ce que tu as vu les dépendances à installer pour compiler Enna. Voir le post http://forum.ubuntu-fr.org/viewtopic.ph … 1#p4807201.
Il faut peut être les vérifier, certaines ont pû changer de version. Pendant l'installation des dépendances si on te dit que tel paquet n'est pas installable ou est manquant... il faut que tu cherches une correspondance (voir l'exemple liblua5.1-dev devient liblua5.1-0-dev).

Dernière modification par bishop (Le 23/12/2012, à 12:30)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#77 Le 24/12/2012, à 01:45

traker

Re : Enlightenment 17 svn pour Ubuntu

Bonjour à tous et Joyeux Noël.

J'ai une erreurs récurrente lors de la compilation de ce type:

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables .....
and .... to avoid the need to call pkg-config.
See the pkg-config man page for more details.
make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.
make: *** Pas de règle pour fabriquer la cible « install ». Arrêt.

No package 'eina' found
No package 'ecore' found
No package 'ecore-con' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Je suis sous 12.04, j'ai tout effacé et suis reparti de zéro, le problème persiste.
j'ai également les derniers scripts datant du 24/12/2012
Du coup plus de E17 ....
Si vous avez une solution, je suis preneur.
@ Bientôt

Dernière modification par traker (Le 24/12/2012, à 01:46)

Hors ligne

#78 Le 24/12/2012, à 02:07

bishop

Re : Enlightenment 17 svn pour Ubuntu

De même :

No package 'eina' found
No package 'eet' found
No package 'evas' found
No package 'ecore' found
No package 'ecore-evas' found
No package 'ecore-con' found
No package 'ecore-file' found
No package 'edbus2' found
No package 'edje' found
No package 'python-evas' found
No package 'etrophy' found
No package 'ephysics' found

Et cerise sur le gâteau :

No package 'enlightenment' found

J'ai abandonné... sad


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#79 Le 24/12/2012, à 06:52

Carlasensa

Re : Enlightenment 17 svn pour Ubuntu

Bonjour les users, salut traker et bishop.

Je viens de refaire l'installation d'E17 svn sur Ubuntu 12.04 et 12.10 et aucun souci, tout compile sans erreur.

Vous avez peut être des vieux fichiers de configuration qui traînent dans /usr/local et font échouer la compilation. Donc, relancez le script de désinstallation et puis faites un tour dans /usr/local avec Nautilus en root (sudo nautilus). Voyez s'il ne reste pas des fichiers de programmes E17 qui ne devraient plus être là et supprimez-les.

Il y a parfois deux versions des scripts portant la même date mis en ligne dans la même journée, vous pouvez avoir une version fautive. Pour être sûr, supprimez les scripts que vous avez dans ~/Téléchargements et videz le cache de votre navigateur préféré avant de télécharger à nouveau les derniers scripts en date.

Si vous installez d'autres programmes (Ecomorph et autres...) que ceux qui sont pris en charge dans nos scripts, rappelez-vous de les désinstaller par vous mêmes car ils n'existent pas pour le script de désinstallation!!

Voili, voilou.
Kiss
tongue
Carla

Hors ligne

#80 Le 24/12/2012, à 07:30

fredr

Re : Enlightenment 17 svn pour Ubuntu

SAlut,

Juste pour confirmer, E17 compilé sans erreur hier. Je suis sous 12.10.

Encore grand merci pour les scripts

Fred


MacBook Pro, KUbuntu 14.04 LTS ...
L'optimiste pense que nous vivons dans le meilleur des mondes. Et le pessimiste craint que ce ne soit exact...

Hors ligne

#81 Le 24/12/2012, à 08:04

Carlasensa

Re : Enlightenment 17 svn pour Ubuntu

Kiss fredr et merci pour ta confirmation.

Le serveur d'Enlightenment est redevenu plutôt calme depuis la folie de la sortie d'E17 en version finale, c'est le moment pour installer et tester cet environnement!!

Dernière modification par Carlasensa (Le 24/12/2012, à 08:17)

Hors ligne

#82 Le 24/12/2012, à 11:14

bishop

Re : Enlightenment 17 svn pour Ubuntu

Vous avez bien de la chance...

Récupération de THEMES/darkness... 47/90
svn: Le serveur a envoyé une valeur inattendue (503 Service Unavailable) en réponse à la requête PROPFIND pour '/svn/e/!svn/bln/81670'

Extraction impossible.

Relancez le script un peu plus tard.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#83 Le 24/12/2012, à 12:00

Carlasensa

Re : Enlightenment 17 svn pour Ubuntu

Lis le texte du script, il suffit de commenter certaines lignes pour éviter que le script s'arrête... et tu peux le relancer autant que tu veux.

Hors ligne

#84 Le 25/12/2012, à 17:49

Chewbacca

Re : Enlightenment 17 svn pour Ubuntu

Voyons voir cette 1re release smile

Compilation lancée à l'instant.


Portable : Core i5 Haswell 1600 - 2500Mhz, Intel HD 4600 + Nvidia GT 740M (optimus de m****), 6 Go DDR3 - Kubuntu 13.04 KDE 4.13
Media Center : Raspberry Pi - Openelec 4
DataServeur @Home : Raspberry Pi - Raspbian

Hors ligne

#85 Le 25/12/2012, à 19:26

Chewbacca

Re : Enlightenment 17 svn pour Ubuntu

C'est normal qu'il n'y ait plus qu'un script? Y'en avait 3 la dernière fois que j'avais compilé.


Portable : Core i5 Haswell 1600 - 2500Mhz, Intel HD 4600 + Nvidia GT 740M (optimus de m****), 6 Go DDR3 - Kubuntu 13.04 KDE 4.13
Media Center : Raspberry Pi - Openelec 4
DataServeur @Home : Raspberry Pi - Raspbian

Hors ligne

#86 Le 25/12/2012, à 20:12

bishop

Re : Enlightenment 17 svn pour Ubuntu

Chewbacca a écrit :

C'est normal qu'il n'y ait plus qu'un script? Y'en avait 3 la dernière fois que j'avais compilé.

Oui ! Il n'y a plus qu'un script pour l'installation et un script pour la désinstallation.


Je viens de compiler le script du 25-12-2012. Tout se déroulait bien puisque la compilation semblait être allé au bout. Mais... mad
Après redémarrage de ma session et aussi de mon ordi il n'y a pas de menu Enlightenment proposé dans lightdm.

J'ai cette erreur, toujours la même depuis les 3 ou 4 dernières tentatives de compilation :

Récap. des paquets "No package "xxx" found" :

No package 'eina' found
No package 'ecore' found
No package 'ecore-file' found
No package 'ecore-evas' found
No package 'evas' found
No package 'ecore-con' found
No package 'edje' found
No package 'eo' found
No package 'eet' found
No package 'edbus2' found
No package 'ecore-input' found
No package 'ecore-ipc' found
No package 'ecore-x' found
No package 'efreet-mime' found
No package 'elementary' found
No package 'ethumb_client' found
No package 'eio' found
No package 'etrophy' found
No package 'epdf' found
No package 'enotify' found
No package 'etrophy' found
No package 'enlightenment' found
No package 'eweather' found

checking for E... no
configure: error: Package requirements (enlightenment) were not met:

No package 'enlightenment' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables E_CFLAGS
and E_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.
make: *** Pas de règle pour fabriquer la cible « install ». Arrêt.
./sanin.sh: ligne 655: enlightenment_remote : commande introuvable

   Kiss by Carla Sensa <3 


Carlasensa !
J'ai vidé le cache de firefox avant de télécharger les scripts du 25-12.
J'ai vérifié dans /usr/local s'il y avait des reliquats de fichiers ou dossier de E... Rien.

Dernière modification par bishop (Le 25/12/2012, à 20:54)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#87 Le 25/12/2012, à 20:26

Chewbacca

Re : Enlightenment 17 svn pour Ubuntu

Ton système ne trouve pas les bibliothèques header de E.

Je te conseille de tout raser, et de tout reconstruire, ne connaissant pas l'état de ton système.

C'est surement du à une foirure de compilation avortée prématurément.

Tu as passé le script de désinstall?


Portable : Core i5 Haswell 1600 - 2500Mhz, Intel HD 4600 + Nvidia GT 740M (optimus de m****), 6 Go DDR3 - Kubuntu 13.04 KDE 4.13
Media Center : Raspberry Pi - Openelec 4
DataServeur @Home : Raspberry Pi - Raspbian

Hors ligne

#88 Le 25/12/2012, à 21:02

bishop

Re : Enlightenment 17 svn pour Ubuntu

Chewbacca a écrit :

Tu as passé le script de désinstall?

Oui ! Avant de compiler je désinstalle avec le script, même quand les compiles ont avorté (il reste toujours des résidus). Je nettoie, je vérifie qu'il n'y a pas de fichiers qui se balladent (dans /usr/local ou dans le rép. perso pour les fichiers ou dossiers cachés...) roll

J'ai vérifié dans le log de compilation les "No package "xxx" found". Ceux que j'ai vérifié ont bien été téléchargés et compilés.

Dernière modification par bishop (Le 25/12/2012, à 21:28)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#89 Le 26/12/2012, à 01:25

Chewbacca

Re : Enlightenment 17 svn pour Ubuntu

Compilation finie, et marche au poil.
Je ne sais pas comment résoudre ton problème hmm


Portable : Core i5 Haswell 1600 - 2500Mhz, Intel HD 4600 + Nvidia GT 740M (optimus de m****), 6 Go DDR3 - Kubuntu 13.04 KDE 4.13
Media Center : Raspberry Pi - Openelec 4
DataServeur @Home : Raspberry Pi - Raspbian

Hors ligne

#90 Le 26/12/2012, à 08:40

Carlasensa

Re : Enlightenment 17 svn pour Ubuntu

Salut bishop,

Assure toi d'avoir 90 éléments dans ~/E17.

Relance le script d'installation et vérifie que tu n'as aucun fichier verrouillé au niveau de ton dépôt local svn (~/E17). C'est facile à voir pendant la récupération des sources car un avertissement s'affiche dans le terminal.

Un dossier verrouillé résulte d'un état incohérent des sources d'un programme et cet état n'est pas réparable par les mécanismes de contrôle du svn. Par exemple, si le dossier emotion est verrouillé et que la commande svn cleanup ne suffit pas à arranger les choses, le plus simple est de supprimer le dossier emotion et de télécharger à nouveau les sources.

Le serveur d'Enlightenment étant ce qu'il est, il faut parfois insister pour récupérer toutes les sources des programmes pris en charge par nos scripts. Si c'est vraiment galère et que l'extraction échoue à chaque fois, la première chose à faire est de commenter les lignes:

if [ "$?" -ne 0 ]
then
  echo -e "\n\033[1;31m Extraction impossible.\033[0m\n"
  echo -e "\033[1;31m Relancez le script un peu plus tard.\033[0m\n"
  exit 1
fi

Ces lignes sont présentes dans extract_efl () et extract_advcd (). Il faudra donc les commenter aux deux endroits.

(Il y a un plugin pour Gedit qui permet de commenter/décommenter du code, sinon on ajoute/supprime le signe # au début des lignes concernées)

À partir de là, il suffit d'utiliser le raccourci Ctrl-C pour stopper le script si on s'aperçoit que le code source de certains programmes n'a pas pu être extrait. On relance le script autant de fois qu'il faut pour tout récupérer. L'important est d'arrêter l'exécution du script dès que  "<— COMPILATION DES PROGRAMMES —>" apparaît dans le terminal, tant que l'extraction n'est pas complète.

Donc, ce que je te propose:

Supprime les captures d'écran qui pourraient se trouver dans le dossier errshots et relance le script d'installation.

Mets en ligne (sur ImageShack ou autre) la capture d'écran correspondant à la première erreur. S'il n'y a pas de capture d'écran, indique précisément où se situe cette erreur (quel programme?). Tu peux stopper le script après cette première erreur, c'est juste pour savoir où ça cloche.

Pour assurer une capture d'écran exploitable, tu te logues dans Unity et tu maximises la fenêtre du terminal Gnome, puis tu mets en ligne la capture sans aucune retouche.

Dernière modification par Carlasensa (Le 26/12/2012, à 10:33)

Hors ligne

#91 Le 26/12/2012, à 14:02

Chewbacca

Re : Enlightenment 17 svn pour Ubuntu

Les Echievements big_smile


Portable : Core i5 Haswell 1600 - 2500Mhz, Intel HD 4600 + Nvidia GT 740M (optimus de m****), 6 Go DDR3 - Kubuntu 13.04 KDE 4.13
Media Center : Raspberry Pi - Openelec 4
DataServeur @Home : Raspberry Pi - Raspbian

Hors ligne

#92 Le 26/12/2012, à 14:17

Carlasensa

Re : Enlightenment 17 svn pour Ubuntu

C'est plutôt marrant, en effet smile

Dis Chewbacca, dans ta signature il apparaît que tu utilises Kubuntu, est ce que tu as modifié le script d'installation ou ça passe tel quel? Parce que ce script est plutôt prévu pour une base Gnome...

Hors ligne

#93 Le 26/12/2012, à 14:40

fredr

Re : Enlightenment 17 svn pour Ubuntu

@bishop,

Je serai de toi, je le ferai à la "dure", effacer le dossier E17 et le dossier .subversion de ton home, vérifier qu'il ne reste rien dans ton /usr/local et relancer le script

Tu as sans doute une erreur svn dans la récupération des sources

Fred


MacBook Pro, KUbuntu 14.04 LTS ...
L'optimiste pense que nous vivons dans le meilleur des mondes. Et le pessimiste craint que ce ne soit exact...

Hors ligne

#94 Le 26/12/2012, à 15:05

bishop

Re : Enlightenment 17 svn pour Ubuntu

Carlasensa écrit :
Salut bishop,
Assure toi d'avoir 90 éléments dans ~/E17.

Oui ! J'ai vérifié. Il y a bien 90 dossiers dans E17.

Pour "No package 'XXX' found" j'ai pas vérifié tous les paquets cités mais pour ceux que j'ai vérifié les dossier sont bien téléchargés et compilés. (je sauvegarde toujours la sortie du Terminal pour rechercher les PB).

Bon... Violence18.gif

capo.gif Je désinstalle, je vire, je supprime, j'efface, j'éradique, j'élimine puis je vérifie et je refais un test.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#95 Le 26/12/2012, à 17:11

bishop

Re : Enlightenment 17 svn pour Ubuntu

Bon ! C'est toujours pareil, toujours les mêmes erreurs.
J'ai 89 captures d'écran dans le dossier errshots mais la plupart n'apporte pas grand chose à par dire que tel package est manquant.

Je poste la compilation : Compilation de E17 Enlightenment. Patientez quelques secondes le temps que le fichier soit chargé.
Je n'ai pas encore vérifié ce log... par dépit. Si quelqu'un voit quelque chose qui cloche qu'il ne se gène pas pour intervenir. Merci !

Dernière modification par bishop (Le 26/12/2012, à 22:00)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#96 Le 26/12/2012, à 18:08

Chewbacca

Re : Enlightenment 17 svn pour Ubuntu

Carlasensa a écrit :

C'est plutôt marrant, en effet smile

Dis Chewbacca, dans ta signature il apparaît que tu utilises Kubuntu, est ce que tu as modifié le script d'installation ou ça passe tel quel? Parce que ce script est plutôt prévu pour une base Gnome...

Marche au poil. J'ai gardé mon KDE le temps que la compilation se fasse, puis reboot du système, login sur enlightenment, installation de lightdm-greeter-gtk, delete de lightdm-kde-greeter et de tout le bordel KDE, installation de network-manager-gnome (pour le résal) et de quelques apps légère, et HOP !!!

Full E17 powered !!!!

Sinon y'aurait pas moyen de compiler a partir du script pour faire des binaires pour aider notre ami qui galère? Ca lui ferait au moins retrouver un e17 fonctionnel hmm


Portable : Core i5 Haswell 1600 - 2500Mhz, Intel HD 4600 + Nvidia GT 740M (optimus de m****), 6 Go DDR3 - Kubuntu 13.04 KDE 4.13
Media Center : Raspberry Pi - Openelec 4
DataServeur @Home : Raspberry Pi - Raspbian

Hors ligne

#97 Le 26/12/2012, à 18:21

fredr

Re : Enlightenment 17 svn pour Ubuntu

@bishop,

La première erreur se produit à la ligne 23011:
checking for WebPDecodeRGBA in -lwebp... no

Peux-tu vérifier si les paquets: libwebp-dev et libwebp2 sont bien installé

Voila chez moi ce qui est installé concernant webp

frederic@frederic-MacBookPro:~$ dpkg -l | grep libwebp
ii  libwebp-dev:amd64                         0.1.3-3                                    amd64        Lossy compression of digital photographic images.
ii  libwebp2:amd64                            0.1.3-3                                    amd64        Lossy compression of digital photographic images.
ii  libwebp2:i386                             0.1.3-3                                    i386         Lossy compression of digital photographic images.
frederic@frederic-MacBookPro:~$ 

Fred


MacBook Pro, KUbuntu 14.04 LTS ...
L'optimiste pense que nous vivons dans le meilleur des mondes. Et le pessimiste craint que ce ne soit exact...

Hors ligne

#98 Le 26/12/2012, à 20:29

bishop

Re : Enlightenment 17 svn pour Ubuntu

fredr !
Bien vu pour libwebp.

bishop@JC:~/Bureau$ dpkg -l | grep libwebp
ii  libwebp-dev                               0.2.0-0~webupd8~precise2                          Library for working with WebP images.
ii  libwebp3                                    0.2.0-0~webupd8~precise2                          Library for working with WebP images.

J'utilise des versions supérieures pour libwebp-dev et libwebp3 qui proviennent d'un PPA et qui ne doivent pas être reconnues.
Je vais faire un essai en installant libwebp2 (sans désinstaller les autres libwebp).
Sinon je vais voir si la désinstallation et le downgrade de ces libs ne perturbent pas trop les outils qui en dépendent.
Et je vais relancer la compil...

Dernière modification par bishop (Le 26/12/2012, à 20:37)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#99 Le 26/12/2012, à 20:30

Carlasensa

Re : Enlightenment 17 svn pour Ubuntu

Ce qui est étrange, c'est que webp n'est pas détecté sur son système:

checking for webp/decode.h... yes
checking for WebPDecodeRGBA in -lwebp... no
configure: error: WEBP dependencies not found

Alors que sur ma Ubuntu 12.04, j'ai:

checking for WebPDecodeRGBA in -lwebp... yes
checking whether WEBP image loader will be built... yes

Il y a peut être une incompatibilité avec d'autres programmes Ubuntu installés sur sa machine,
ce qui expliquerait pourquoi libwebp-dev n'est pas installé/installable...

Comme le support de webp n'est pas essentiel pour compiler les efl, le plus simple est
de supprimer libwebp-dev des dépendances (voir la variable DEPS) et de transformer
les lignes 311 et 325 (dans les fonctions build_efl () et rebuild_efl () ) de:

$GEN --with-crypto=gnutls --enable-harfbuzz --enable-image-loader-webp

en:

$GEN --with-crypto=gnutls --enable-harfbuzz

Avant de relancer le script d'installation ainsi modifié, il faudra s'assurer que libwebp-dev et les paquets associés sont désinstallés.

Hors ligne

#100 Le 26/12/2012, à 20:35

Carlasensa

Re : Enlightenment 17 svn pour Ubuntu

ah, bishop a posté pendant que je rédigeais ma propre réponse...

La simple suppression de l'option --enable-image-loader-webp peut suffire dans ton cas bishop, ce qui veut dire que tu n'as probablement pas besoin de désinstaller les paquets libwebp* de ton ppa.

Dernière modification par Carlasensa (Le 26/12/2012, à 20:52)

Hors ligne

Haut de page ↑